Creates a new schedule rotation from provided data
curl --request POST \
--url https://api.rootly.com/v1/schedules/{schedule_id}/schedule_rotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedule_rotations",
"attributes": {
"name": "<string>",
"schedule_rotationable_type": "ScheduleDailyRotation",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [
"S"
],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-12-25",
"end_time": "2023-12-25",
"schedule_rotation_members": [
{
"member_type": "User",
"member_id": "<string>",
"position": 123
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "schedule_rotations",
"attributes": {
"schedule_id": "<string>",
"name": "<string>",
"schedule_rotationable_type": "ScheduleDailyRotation",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [
"S"
],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-12-25",
"end_time": "2023-12-25"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
schedule_rotation created with custom active times
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/schedules/{schedule_id}/schedule_rotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedule_rotations",
"attributes": {
"name": "<string>",
"schedule_rotationable_type": "ScheduleDailyRotation",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [
"S"
],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-12-25",
"end_time": "2023-12-25",
"schedule_rotation_members": [
{
"member_type": "User",
"member_id": "<string>",
"position": 123
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "schedule_rotations",
"attributes": {
"schedule_id": "<string>",
"name": "<string>",
"schedule_rotationable_type": "ScheduleDailyRotation",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [
"S"
],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-12-25",
"end_time": "2023-12-25"
}
}
}